Index: dports/python/py25-cython/Portfile
===================================================================
--- dports/python/py25-cython/Portfile	(Revision 50491)
+++ dports/python/py25-cython/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name                py25-cython
 version             0.9.8
+revision            1
 categories          python devel
 maintainers         openmaintainer akitada cornell.edu:ajb78
 platforms           darwin
@@ -23,8 +24,6 @@
                     sha1 0066194ec056bfe90ef8358b06501a5250e7f10f \
                     rmd160 84e2d4ae5f092494ebdf8a8f50b9643535693568
 
-depends_lib         port:py25-hashlib
-
 post-destroot {
     xinstall -m 644 -W ${worksrcpath}/Doc About.html FAQ.html \
         extension_types.html index.html overview.html primes.c sharing.html \
Index: dports/python/py25-clientform/Portfile
===================================================================
--- dports/python/py25-clientform/Portfile	(Revision 50491)
+++ dports/python/py25-clientform/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name                py25-clientform
 version             0.2.9
+revision            1
 categories          python www
 platforms           darwin
 maintainers         openmaintainer akitada
@@ -22,9 +23,6 @@
                     sha1 ab07cf5bc293ffa1676bb7f4c5c756cb2907d782 \
                     rmd160 f82975f171ef3c673d78fa08f7ade3205a0cc87a
 
-depends_lib-append  port:py25-hashlib \
-                    port:py25-zlib
-
 test.run            yes
 test.cmd            ${python.bin}
 test.target         test.py
Index: dports/python/rdiff-backup-devel/Portfile
===================================================================
--- dports/python/rdiff-backup-devel/Portfile	(Revision 50491)
+++ dports/python/rdiff-backup-devel/Portfile	(Arbeitskopie)
@@ -5,7 +5,7 @@
 
 name			rdiff-backup-devel
 version			1.1.15
-revision		2
+revision		3
 categories-append	net sysutils
 maintainers		blair openmaintainer
 
@@ -35,9 +35,7 @@
 platforms		darwin
 
 depends_lib-append	lib:librsync:librsync \
-			port:py25-hashlib \
-			port:py25-xattr \
-			port:py25-zlib
+			port:py25-xattr
 
 patchfiles		patch-setup.py.diff \
 			patch-rdiff-backup.1.diff
Index: dports/python/py25-pyrex/Portfile
===================================================================
--- dports/python/py25-pyrex/Portfile	(Revision 50491)
+++ dports/python/py25-pyrex/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name              py25-pyrex
 version           0.9.8.5
+revision          1
 categories        python devel
 maintainers       ram openmaintainer
 platforms         darwin
@@ -22,8 +23,6 @@
                   sha1 8ee6fa87bae48a74f58e8328316aff4863ef7c05 \
                   rmd160 ff79e39956afecf354bbe71d9f1e15cf9abf153d
 
-depends_lib-append  port:py25-hashlib
-
 post-destroot {
   xinstall -m 644 -W ${worksrcpath}/Doc About.html FAQ.html \
     index.html primes.c ${destroot}${prefix}/share/doc/${name}
Index: dports/python/py25-formencode/Portfile
===================================================================
--- dports/python/py25-formencode/Portfile	(Revision 50491)
+++ dports/python/py25-formencode/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name			py25-formencode
 version			1.2.2
+revision        1
 categories		python devel
 platforms		darwin
 maintainers		stechert akitada openmaintainer
@@ -17,8 +18,7 @@
 checksums		md5     da23d54af521d1feab12b4caf30e3111 \
 				sha1    573359ec15934be9b1e74c11e1796b8df872c677 \
 				rmd160  e829668f767ff47a5b62416d8ee2ea282fa633bd
-depends_lib		port:py25-hashlib \
-			port:py25-setuptools
+depends_lib		port:py25-setuptools
 
 post-destroot {
 	xinstall -m 644 -W ${worksrcpath}/docs community.txt index.txt news.txt \
Index: dports/python/py25-setuptools/Portfile
===================================================================
--- dports/python/py25-setuptools/Portfile	(Revision 50491)
+++ dports/python/py25-setuptools/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name				py25-setuptools
 version				0.6c9
+revision            1
 categories-append	devel
 maintainers			stechert@macports.org
 description			distutils enhancement for build and distribution
@@ -19,10 +20,6 @@
 master_sites		http://cheeseshop.python.org/packages/source/s/setuptools/
 distname			setuptools-${version}
 
-depends_build			port:py25-hashlib
-
-depends_lib-append		port:py25-zlib
-
 checksums           md5     3864c01d9c719c8924c455714492295e \
                     sha1    79086433b341f0c1df45e10d586a7d3cc25089f1 \
                     rmd160  bc0ee3821e76b57fd13425b16c4419dbccf95ed9
Index: dports/python/py25-scipy/Portfile
===================================================================
--- dports/python/py25-scipy/Portfile	(Revision 50491)
+++ dports/python/py25-scipy/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                    py25-scipy
 version                 0.7.0
+revision                1
 categories              python
 platforms               darwin
 maintainers             ram openmaintainer
@@ -22,7 +23,6 @@
 
 depends_lib-append      port:py25-numpy \
                         port:py25-nose \
-                        port:py25-zlib \
                         port:SuiteSparse \
                         port:swig
 
Index: dports/python/py25-smisk/Portfile
===================================================================
--- dports/python/py25-smisk/Portfile	(Revision 50491)
+++ dports/python/py25-smisk/Portfile	(Arbeitskopie)
@@ -5,7 +5,7 @@
 
 name                py25-smisk
 version             1.1.5
-revision            0
+revision            1
 categories          python www
 platforms           darwin
 
@@ -21,7 +21,6 @@
 
 depends_lib-append  port:fcgi \
                     port:py25-setuptools \
-                    port:py25-readline \
                     port:py25-elixir \
                     port:py25-mako \
                     port:py25-cjson \
@@ -31,8 +30,7 @@
   # Smisk will tell the user when she is trying to use a part of Smisk which
   # requires a certain module which is not available, thus no extra
   # configuration is required.
-  depends_lib-delete  port:py25-readline \
-                      port:py25-elixir \
+  depends_lib-delete  port:py25-elixir \
                       port:py25-mako \
                       port:py25-cjson \
                       port:py25-yaml
Index: dports/python/py25-pyx/Portfile
===================================================================
--- dports/python/py25-pyx/Portfile	(Revision 50491)
+++ dports/python/py25-pyx/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name			py25-pyx
 version			0.10
+revision        1
 categories		python
 platforms		darwin
 maintainers		nomaintainer
@@ -22,7 +23,7 @@
 distname		PyX-${version}
 checksums		sha1 e8a9219192daff9fd8eb479d5987cbc7e37b0188
 
-depends_lib-append	bin:tex:texlive port:py25-zlib
+depends_lib-append	bin:tex:texlive
 
 post-destroot {
 	xinstall -m 644 -W ${worksrcpath} AUTHORS CHANGES INSTALL LICENSE \
Index: dports/python/py25-pyobjc2-cocoa/Portfile
===================================================================
--- dports/python/py25-pyobjc2-cocoa/Portfile	(Revision 50491)
+++ dports/python/py25-pyobjc2-cocoa/Portfile	(Arbeitskopie)
@@ -6,7 +6,7 @@
 
 name            py25-pyobjc2-cocoa
 version         2.0
-revision        1
+revision        2
 categories      python devel
 maintainers     jmr openmaintainer
 platforms       darwin
@@ -16,9 +16,7 @@
 
 homepage        http://pyobjc.sourceforge.net/
 
-depends_lib-append     port:py25-pyobjc2 \
-                port:py25-hashlib \
-                port:py25-zlib
+depends_lib-append     port:py25-pyobjc2
 
 fetch.type      svn
 svn.url         http://svn.red-bean.com/pyobjc/tags/r200-leopard/pyobjc-framework-Cocoa/
Index: dports/python/rdiff-backup/Portfile
===================================================================
--- dports/python/rdiff-backup/Portfile	(Revision 50491)
+++ dports/python/rdiff-backup/Portfile	(Arbeitskopie)
@@ -3,6 +3,7 @@
 PortGroup       python25 1.0
 name            rdiff-backup
 version         1.2.2
+revision        1
 categories-append   net sysutils
 maintainers     nomaintainer
 description     backs up one directory to another, possibly over a network
@@ -31,9 +32,7 @@
 platforms       darwin
 
 depends_lib-append  port:librsync \
-                    port:py25-hashlib \
-                    port:py25-xattr \
-                    port:py25-zlib
+                    port:py25-xattr
 
 patchfiles      patch-setup.py \
                 patch-rdiff-backup.1
Index: dports/python/py25-gdata/Portfile
===================================================================
--- dports/python/py25-gdata/Portfile	(Revision 50491)
+++ dports/python/py25-gdata/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                py25-gdata
 version             1.2.4
+revision            1
 categories-append   devel
 maintainers         gmail.com:aecollins1
 description         Google Data API Python Client Library
@@ -23,8 +24,7 @@
                     rmd160 4082397a7180198c1963fde726bb91c360f27e20
 
 depends_lib         port:py25-setuptools \
-                    port:py25-elementtree \
-                    port:py25-socket-ssl
+                    port:py25-elementtree
 
 post-destroot {
 
Index: dports/python/py25-opengl/Portfile
===================================================================
--- dports/python/py25-opengl/Portfile	(Revision 50491)
+++ dports/python/py25-opengl/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                 py25-opengl
 version              3.0.0c1
+revision             1
 categories           python graphics
 platforms            darwin
 maintainers          alakazam
@@ -25,7 +26,7 @@
                     rmd160  9ee8598410fb0384ded76b691b8cb89914ea95c7
 
 depends_build-append port:py25-setuptools
-depends_lib-append   port:py25-tkinter port:py25-pil port:py25-numpy
+depends_lib-append   port:port:py25-pil port:py25-numpy
 
 test.run             yes
 
Index: dports/python/py25-mutagen/Portfile
===================================================================
--- dports/python/py25-mutagen/Portfile	(Revision 50491)
+++ dports/python/py25-mutagen/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name            py25-mutagen
 version         1.15
+revision        1
 description     A Python module to handle audio metadata
 platforms       darwin
 categories      python audio devel
@@ -26,7 +27,6 @@
                     sha1    831e618f6f0778a5cc285332d3d1e363dd31d652 \
                     rmd160  2763d311941e8408d800d929a731a89f443c66b6
 
-depends_lib     port:py25-zlib
 livecheck.check		regex
 livecheck.url		http://code.google.com/p/quodlibet/downloads/list
 livecheck.regex "mutagen-(\\d+(?:\\.\\d+)*)${extract.suffix}"
Index: dports/python/py25-pydicom/Portfile
===================================================================
--- dports/python/py25-pydicom/Portfile	(Revision 50491)
+++ dports/python/py25-pydicom/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name                py25-pydicom
 version             0.9.2
+revision            1
 platforms           darwin
 categories          python
 maintainers         ieee.org:eborisch \
@@ -26,5 +27,4 @@
                     sha1 d6a7c91e7408e513690d67284f9347d739ebacea \
                     rmd160 53e2b5177d3a2b44d9f3150016ff25023905b5b2
 
-depends_lib-append  port:py25-numpy \
-                    port:py25-zlib
+depends_lib-append  port:py25-numpy
Index: dports/python/py25-pygments/Portfile
===================================================================
--- dports/python/py25-pygments/Portfile	(Revision 50491)
+++ dports/python/py25-pygments/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                py25-pygments
 version             1.0
+revision            1
 categories-append   devel
 maintainers         openmaintainer erickt@macports.org
 description         Python syntax highlighter
@@ -20,7 +21,7 @@
 master_sites        http://pypi.python.org/packages/source/P/Pygments
 distname            Pygments-${version}
 
-depends_lib         port:py25-setuptools port:py25-hashlib
+depends_lib         port:py25-setuptools
 
 checksums           md5     70c40ff5331460cabfcb24f86a8d451d \
                     sha1    b71e33147fc402e361227b30e1f589eecafd42a7 \
Index: dports/python/py25-matplotlib/Portfile
===================================================================
--- dports/python/py25-matplotlib/Portfile	(Revision 50491)
+++ dports/python/py25-matplotlib/Portfile	(Arbeitskopie)
@@ -6,7 +6,7 @@
 categories-append  graphics math
 name               py25-matplotlib
 version            0.98.5.2
-revision           2
+revision           3
 maintainers        ram openmaintainer
 platforms          darwin
 
@@ -85,7 +85,6 @@
 }
 
 variant tkinter description "Enable tkAgg backend" {
-  depends_lib-append port:py25-tkinter
   post-patch {
     reinplace "s|^tkagg=False|tkagg=True|" ${worksrcpath}/setup.cfg
   }
Index: dports/python/py25-lxml/Portfile
===================================================================
--- dports/python/py25-lxml/Portfile	(Revision 50491)
+++ dports/python/py25-lxml/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name              py25-lxml
 version           2.2
+revision          1
 categories        python devel
 platforms         darwin
 maintainers       akitada openmaintainer
@@ -23,7 +24,7 @@
                   sha1    746ff9e165fc911a34a25936b6ed122f37241504 \
                   rmd160  fd884d36b68391b3093d6ab1a949155b52909b9d
 distname          lxml-${version}
-depends_lib-append port:libxml2 port:libxslt port:py25-hashlib port:py25-setuptools port:py25-zlib
+depends_lib-append port:libxml2 port:libxslt port:py25-setuptools
 
 livecheck.check regex
 livecheck.url   ${master_sites}
Index: dports/python/py25-numpy/Portfile
===================================================================
--- dports/python/py25-numpy/Portfile	(Revision 50491)
+++ dports/python/py25-numpy/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                py25-numpy
 version             1.3.0
+revision            1
 categories          python
 platforms           darwin
 maintainers         ram openmaintainer
@@ -23,7 +24,6 @@
                     patch-f2py_setup.py.diff
 
 depends_lib-append  port:fftw-3 \
-                    port:py25-hashlib \
                     port:py25-nose
 
 post-patch {
Index: dports/python/py25-clientcookie/Portfile
===================================================================
--- dports/python/py25-clientcookie/Portfile	(Revision 50491)
+++ dports/python/py25-clientcookie/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name			py25-clientcookie
 version			1.3.0
+revision        1
 categories		python www
 platforms		darwin
 maintainers		nomaintainer
@@ -22,8 +23,7 @@
 			sha1    fc54adb762618d3a9fdeca9ed45b982c2bde940c \
 			rmd160  0c557c11efee3ada975235ed72252176c059e5d2
 
-depends_lib-append	port:py25-setuptools \
-                        port:py25-bsddb
+depends_lib-append	port:py25-setuptools
 
 test.run		yes
 test.cmd		${python.bin}
Index: dports/python/py25-ipython/Portfile
===================================================================
--- dports/python/py25-ipython/Portfile	(Revision 50491)
+++ dports/python/py25-ipython/Portfile	(Arbeitskopie)
@@ -7,6 +7,7 @@
 name                    py25-ipython
 set my_name             ipython
 version                 0.9.1
+revision                1
 categories              python
 platforms               darwin
 maintainers             openmaintainer jochen
@@ -26,9 +27,6 @@
 
 use_parallel_build      yes
 
-depends_run-append      port:py25-readline \
-                        port:py25-hashlib
-
 test.run                no
 
 post-destroot {
Index: dports/python/py25-yum-metadata-parser/Portfile
===================================================================
--- dports/python/py25-yum-metadata-parser/Portfile	(Revision 50491)
+++ dports/python/py25-yum-metadata-parser/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name			py25-yum-metadata-parser
 version			1.1.2
+revision        1
 platforms		darwin
 categories		python
 maintainers		afb@macports.org
@@ -16,7 +17,7 @@
 distname		yum-metadata-parser-${version}
 checksums		md5 13df226ef004ea78eebc59022720b536
 
-depends_lib-append	port:py25-sqlite3 port:glib2 port:libxml2 port:sqlite3
+depends_lib-append	port:port:glib2 port:libxml2 port:sqlite3
 depends_build-append	port:pkgconfig
 
 livecheck.check regex
Index: dports/python/py25-pmw/Portfile
===================================================================
--- dports/python/py25-pmw/Portfile	(Revision 50491)
+++ dports/python/py25-pmw/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name                py25-pmw
 version             1.3.2
+revision            1
 maintainers         macsforever2000
 platforms           darwin freebsd
 
@@ -22,5 +23,3 @@
                     rmd160 ad3fca73405a8c8a7e2ec81096b00665e2937964
 
 worksrcdir          ${distname}/src
-
-depends_lib-append  port:py25-tkinter
Index: dports/www/linkchecker/Portfile
===================================================================
--- dports/www/linkchecker/Portfile	(Revision 50491)
+++ dports/www/linkchecker/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name			linkchecker
 version			5.0.1
+revision        1
 categories		www python
 maintainers		mww
 platforms		darwin freebsd
@@ -23,7 +24,6 @@
 master_sites	sourceforge
 checksums		sha1 392d7e21ea1319b4a81616dad06cf4d0d1ad77a6
 distname		LinkChecker-${version}
-depends_lib-append	port:py25-zlib
 
 livecheck.check	freshmeat
 livecheck.version	5.0
Index: dports/devel/mercurial/Portfile
===================================================================
--- dports/devel/mercurial/Portfile	(Revision 50491)
+++ dports/devel/mercurial/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                mercurial
 version             1.2.1
+revision            1
 categories          devel python
 maintainers         deric@macports.org
 description         A fast, lightweight, distributed SCM system written in \
@@ -29,8 +30,6 @@
                     sha1    f40282bbb17fedb08b16aa7a4eeb1da7b6a6f1cb \
                     rmd160  37c94e5ef9cdc639fe23622ddaf97b2230ec2216
 
-depends_lib-append  port:py25-zlib port:py25-hashlib port:py25-bz2
-
 post-destroot {
     # install html docs
     xinstall -m 644 -W ${worksrcpath}/doc hg.1.html hgrc.5.html hgignore.5.html \
Index: dports/devel/buildbot/Portfile
===================================================================
--- dports/devel/buildbot/Portfile	(Revision 50491)
+++ dports/devel/buildbot/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name			buildbot
 version			0.7.10p1
+revision        1
 categories		devel python
 platforms		darwin
 maintainers		olv.bonnet@free.fr
@@ -18,7 +19,7 @@
                         sha1    799bf66cf4d6f8b9f94c0b167ac14b1198afdb7d \
                         rmd160  bdd9a8d6daf9e947e52784ee6d5fb30285f8d8b6
 
-depends_lib-append	port:py25-twisted port:py25-hashlib port:py25-zlib port:py25-bz2
+depends_lib-append	port:py25-twisted
 
 post-destroot   {
         xinstall -m 644 ${worksrcpath}/README \
Index: dports/devel/bzr/Portfile
===================================================================
--- dports/devel/bzr/Portfile	(Revision 50491)
+++ dports/devel/bzr/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name          bzr
 version       1.13.1
+revision      1
 set branch    [join [lrange [split ${version} .] 0 1] .]
 categories    devel python
 platforms     darwin
@@ -30,14 +31,9 @@
 
 depends_lib-append  port:py25-paramiko \
                     port:py25-crypto \
-                    port:py25-hashlib \
-                    port:py25-zlib \
-                    port:py25-bz2 \
-                    port:py25-socket-ssl \
                     port:py25-curl \
                     port:py25-docutils \
-                    port:py25-pyrex \
-                    port:py25-curses
+                    port:py25-pyrex
 
 test.run      yes
 test.cmd      make
Index: dports/devel/iso-codes/Portfile
===================================================================
--- dports/devel/iso-codes/Portfile	(Revision 50491)
+++ dports/devel/iso-codes/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name                iso-codes
 version             3.5
+revision            1
 categories          devel
 platforms           darwin
 maintainers         nomaintainer
@@ -23,8 +24,7 @@
                     rmd160  e5199e5c3dda31b9163397fb905c1b1204a68847
 
 depends_build       port:gettext \
-                    port:python25 \
-                    port:py25-hashlib
+                    port:python25
 
 post-patch {
     reinplace "s|#!/usr/bin/env python|#!${prefix}/bin/python2.5|g" \
Index: dports/devel/PIDA/Portfile
===================================================================
--- dports/devel/PIDA/Portfile	(Revision 50491)
+++ dports/devel/PIDA/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name            PIDA
 version         0.5.1
+revision        1
 description     The Python Integrated Development Application
 long_description ${description}
 maintainers     nomaintainer
@@ -15,7 +16,6 @@
 checksums	md5 d24bbdc2c07172062cf55dffe58c85f6
 depends_lib     port:py25-gtk \
                 port:py25-gnome \
-                port:py25-zlib \
                 port:kiwi \
                 port:librsvg \
                 port:vte \
Index: dports/devel/unsermake/Portfile
===================================================================
--- dports/devel/unsermake/Portfile	(Revision 50491)
+++ dports/devel/unsermake/Portfile	(Arbeitskopie)
@@ -4,7 +4,7 @@
 
 name            unsermake
 version         0.4-20070824
-revision        1
+revision        2
 categories      devel
 maintainers     nomaintainer
 description     Replacement for automake
@@ -20,8 +20,7 @@
 checksums       md5 b794f83bdc3f6205d1fd731da4e96d89
 worksrcdir      ${name}
 
-depends_run     port:py25-zlib \
-                port:python25
+depends_run     port:python25
 
 patch {
     reinplace "s|exec python|exec ${prefix}/bin/python2.5|" ${worksrcpath}/unsermake
Index: dports/devel/bzr-svn/Portfile
===================================================================
--- dports/devel/bzr-svn/Portfile	(Revision 50491)
+++ dports/devel/bzr-svn/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name          bzr-svn
 version       0.5.3
+revision      1
 epoch         1
 categories    devel python
 platforms     darwin
@@ -26,7 +27,6 @@
 
 depends_lib-append  port:bzr \
                     port:bzr-rebase \
-                    port:py25-sqlite3 \
                     port:py25-subvertpy
 
 universal_variant   no
Index: dports/devel/scons/Portfile
===================================================================
--- dports/devel/scons/Portfile	(Revision 50491)
+++ dports/devel/scons/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name				scons
 version				1.2.0
+revision            1
 categories			devel python
 maintainers			landonf openmaintainer
 description			Software construction tool
@@ -20,8 +21,6 @@
 homepage			http://www.scons.org/
 master_sites		sourceforge
 
-depends_lib-append  port:py25-hashlib
-
 checksums           md5     53b6aa7281811717a57598e319441cf7 \
                     sha1    cd6be8698a384ea2ac4f5191cef94f57b2f84bbb \
                     rmd160  69c1fcc7c3af55c801f26fc7370dd01a17dc2327
Index: dports/devel/cvs2svn/Portfile
===================================================================
--- dports/devel/cvs2svn/Portfile	(Revision 50491)
+++ dports/devel/cvs2svn/Portfile	(Arbeitskopie)
@@ -6,6 +6,7 @@
 
 name			cvs2svn
 version			2.2.0
+revision        1
 categories		devel python
 maintainers		dluke@geeklair.net
 description		Tool for converting from CVS to subversion
@@ -26,9 +27,6 @@
 test.cmd		${prefix}/bin/python2.5
 test.target		run-tests.py
 
-depends_lib-append	port:py25-bsddb port:py25-hashlib \
-			port:py25-zlib
-
 post-destroot {
 	xinstall -m 755 -d ${destroot}${prefix}/share/doc/${name}
 	xinstall -m 644 -W ${worksrcpath} BUGS CHANGES COMMITTERS COPYING \
Index: dports/devel/subversion-python25bindings/Portfile
===================================================================
--- dports/devel/subversion-python25bindings/Portfile	(Revision 50491)
+++ dports/devel/subversion-python25bindings/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name			subversion-python25bindings
 version			1.6.1
+revision        1
 categories		devel python
 platforms		darwin
 maintainers		nomaintainer
@@ -28,7 +29,7 @@
 			port:apr port:apr-util \
 			port:db46 port:subversion \
 			port:python25 \
-			port:py25-bsddb port:sqlite3 \
+			port:sqlite3 \
 			port:gettext port:libiconv \
 			port:serf port:cyrus-sasl2
 
@@ -77,7 +78,7 @@
 			}
 
 variant no_bdb description {Build without support for BerkeleyDB repositories} {
-			depends_lib-delete	port:db46 port:py25-bsddb
+			depends_lib-delete	port:db46
 			configure.args-delete 	--with-berkeley-db=yes
 			configure.args-append	--without-berkeley-db
 			}
Index: dports/devel/svndumptool/Portfile
===================================================================
--- dports/devel/svndumptool/Portfile	(Revision 50491)
+++ dports/devel/svndumptool/Portfile	(Arbeitskopie)
@@ -5,7 +5,7 @@
 
 name                    svndumptool
 version                 0.5.0
-revision                2
+revision                3
 categories              devel
 platforms               darwin
 maintainers             ryandesign
@@ -30,9 +30,6 @@
     sha1    54ecbb4d4c870a082141ffb1104fd4dfade2add9 \
     rmd160  6b32ba863719ac63d22eb6f401b42869055f569b
 
-depends_lib-append \
-    port:py25-hashlib
-
 livecheck.check         regex
 livecheck.url           ${homepage}
 livecheck.regex         ${name}-(\[0-9.\]+)\\.tar
Index: dports/sysutils/duplicity/Portfile
===================================================================
--- dports/sysutils/duplicity/Portfile	(Revision 50491)
+++ dports/sysutils/duplicity/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name          duplicity
 version       0.5.11
+revision      1
 categories    sysutils
 platforms     darwin
 maintainers   nomaintainer
@@ -31,8 +32,6 @@
 
 depends_run-append  port:py25-gnupg \
                     port:py25-boto \
-                    port:py25-zlib \
-                    port:py25-hashlib \
                     port:ncftp
 
 build.cmd-append    --librsync-dir=${prefix}
Index: dports/audio/lastmp/Portfile
===================================================================
--- dports/audio/lastmp/Portfile	(Revision 50491)
+++ dports/audio/lastmp/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name            lastmp
 version         0.35
+revision        1
 description     LastFM Music Submitter for MPD
 categories      audio
 maintainers     sfiera
@@ -22,7 +23,6 @@
                 rmd160 c6a06aa3931b823ee8de2e863812b1a8542ffa47
 
 depends_lib-append  port:py25-mpdclient2 \
-                    port:py25-hashlib \
                     port:lastfmsubmitd
 
 set conf lastmp.conf.sample
Index: dports/audio/xmms2/Portfile
===================================================================
--- dports/audio/xmms2/Portfile	(Revision 50491)
+++ dports/audio/xmms2/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name                    xmms2
 version                 0.5DrLecter
+revision                1
 categories              audio
 maintainers             nomaintainer
 homepage                http://xmms2.xmms.org/
@@ -20,8 +21,6 @@
 
 set my_python           ${prefix}/bin/python2.5
 depends_build           port:python25 \
-                        port:py25-hashlib \
-                        port:py25-zlib \
                         port:pkgconfig
 depends_lib             port:glib2 \
                         port:gettext \
Index: dports/audio/lastfmsubmitd/Portfile
===================================================================
--- dports/audio/lastfmsubmitd/Portfile	(Revision 50491)
+++ dports/audio/lastfmsubmitd/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name            lastfmsubmitd
 version         0.35
+revision        1
 description     LastFM Music Submitter
 categories      audio
 maintainers     sfiera
@@ -22,8 +23,6 @@
                 sha1 98fb020a54f8e49b16090fb1af07912a12351d8f \
                 rmd160 c6a06aa3931b823ee8de2e863812b1a8542ffa47
 
-depends_lib-append  port:py25-hashlib
-
 set dirs { /var/spool/lastfm /var/run/lastfm /var/log/lastfm }
 set conf lastfmsubmitd.conf.sample
 set user "lastfm"
Index: dports/fuse/gmailfs/Portfile
===================================================================
--- dports/fuse/gmailfs/Portfile	(Revision 50491)
+++ dports/fuse/gmailfs/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name            gmailfs
 version         0.8.0
+revision        1
 categories      fuse
 platforms       macosx
 maintainers     raimue \
@@ -22,8 +23,6 @@
 
 depends_run     port:macfuse \
                 port:python25 \
-                port:py25-hashlib \
-                port:py25-socket-ssl \
                 port:py25-openssl \
                 port:py25-libgmail \
                 port:fuse-bindings-python25
Index: dports/news/xpn/Portfile
===================================================================
--- dports/news/xpn/Portfile	(Revision 50491)
+++ dports/news/xpn/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name            xpn
 version         1.2.6
+revision        1
 categories      news
 description     Graphical newsreader written in PyGtk.
 long_description XPN (X Python Newsreader) is a news client written in \
@@ -19,8 +20,7 @@
 checksums       md5     6b77345290a27406e411ea0ffa54780f \
                 sha1    929a8e809121f3e286d5f36a76a0db5e2fa2875e \
                 rmd160  672bb8cd22d8e4d03b98cf34701451225f35a9b7
-depends_lib     port:py25-gtk \
-                port:py25-sqlite3
+depends_lib     port:py25-gtk
 use_configure   no
 universal_variant no
 build           {}
Index: dports/lang/python25/Portfile
===================================================================
--- dports/lang/python25/Portfile	(Revision 50491)
+++ dports/lang/python25/Portfile	(Arbeitskopie)
@@ -5,7 +5,7 @@
 
 name                    python25
 version                 2.5.4
-revision                3
+revision                4
 set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
 platforms               darwin
@@ -28,17 +28,16 @@
 # patch-Lib-distutils-dist.py.diff comes from
 # <http://bugs.python.org/issue1180>
 patchfiles              patch-Makefile.pre.in.diff \
-                        patch-setup.py.diff \
                         patch-Lib-cgi.py.diff \
                         patch-Lib-distutils-dist.py.diff
 
-depends_lib             port:gettext
+depends_lib             port:gettext port:zlib port:openssl port:tk \ 
+                        port:sqlite3 port:db46 port:bzip2 \ 
+                        port:gdbm port:readline port:ncursesw
 
 configure.args          --enable-shared \
                         --enable-framework=${frameworks_dir} \
                         --mandir=${prefix}/share/man \
-                        --without-readline \
-                        --disable-tk \
                         --enable-ipv6
 
 use_parallel_build      no
Index: dports/mail/mailman/Portfile
===================================================================
--- dports/mail/mailman/Portfile	(Revision 50491)
+++ dports/mail/mailman/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name			mailman
 version			2.1.12
+revision        1
 categories		mail
 maintainers		nomaintainer
 description		Mailman, the GNU Mailing List Manager
@@ -24,7 +25,7 @@
 
 platforms		darwin
 
-depends_lib		port:python25 port:py25-hashlib
+depends_lib		port:python25
 
 # Create a startupitem
 startupitem.create	yes
Index: dports/mail/offlineimap/Portfile
===================================================================
--- dports/mail/offlineimap/Portfile	(Revision 50491)
+++ dports/mail/offlineimap/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name			offlineimap
 version			6.0.3
+revision        1
 categories		mail python
 platforms		darwin
 maintainers		boeyms openmaintainer
@@ -37,8 +38,6 @@
 worksrcdir		${name}
 checksums		md5 0c81d33e123c3d5b6645a68a809bcaef
 
-depends_lib-append	port:py25-hashlib port:py25-socket-ssl
-
 destroot.target		install --no-compile
 
 post-destroot {
Index: dports/net/avahi/Portfile
===================================================================
--- dports/net/avahi/Portfile	(Revision 50491)
+++ dports/net/avahi/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name            avahi
 version         0.6.24
+revision        1
 categories      net devel
 maintainers     nomaintainer
 platforms       darwin
@@ -52,7 +53,6 @@
                 port:dbus-python25 \
                 port:expat \
                 port:gdbm \
-                port:py25-gdbm \
                 port:py25-gtk \
                 port:gettext \
                 port:libiconv
Index: dports/net/deluge/Portfile
===================================================================
--- dports/net/deluge/Portfile	(Revision 50491)
+++ dports/net/deluge/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name		deluge
 version		1.0.7
+revision    1
 categories	net gnome python
 maintainers nomaintainer
 description	A GNOME BitTorrent client.
@@ -27,10 +28,8 @@
 	port:gettext \
 	port:librsvg \
 	port:py25-gtk \
-	port:py25-hashlib \
 	port:py25-setuptools \
 	port:py25-xdg \
-	port:py25-zlib \
 	port:boost
 
 #patchfiles  patch-setup.py.diff
Index: dports/net/nmap/Portfile
===================================================================
--- dports/net/nmap/Portfile	(Revision 50491)
+++ dports/net/nmap/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name		nmap
 version		4.76
+revision    1
 categories	net
 maintainers	opendarwin.org@darkart.com dluke@geeklair.net
 description	Port scanning utility for large networks
@@ -61,5 +62,5 @@
 
 variant zenmap description {build zenmap in addition to nmap} {
 			configure.args-delete --without-zenmap
-			depends_lib-append port:py25-gtk port:py25-sqlite3
+			depends_lib-append port:py25-gtk
 		}
Index: dports/net/gajim/Portfile
===================================================================
--- dports/net/gajim/Portfile	(Revision 50491)
+++ dports/net/gajim/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                gajim
 version             0.11.4
+revision            1
 homepage            http://www.gajim.org/
 categories          net chat x11
 
@@ -42,8 +43,6 @@
                     port:py25-gtk \
                     port:py25-gobject \
                     port:py25-docutils \
-                    port:py25-sqlite3 \
-                    port:py25-socket-ssl \
                     port:dbus-python25
 
 configure.args      --disable-trayicon \
Index: dports/net/gajim-devel/Portfile
===================================================================
--- dports/net/gajim-devel/Portfile	(Revision 50491)
+++ dports/net/gajim-devel/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                gajim-devel
 version             0.12-alpha1-r10268
+revision            1
 homepage            http://www.gajim.org/
 categories          net chat
 
@@ -39,9 +40,7 @@
                     port:py25-gtk \
                     port:py25-gobject \
                     port:py25-docutils \
-                    port:py25-sqlite3 \
                     port:py25-openssl \
-                    port:py25-zlib \
                     port:Growl
 
 post-patch {
Index: dports/net/umit/Portfile
===================================================================
--- dports/net/umit/Portfile	(Revision 50491)
+++ dports/net/umit/Portfile	(Arbeitskopie)
@@ -5,7 +5,7 @@
 
 name		umit
 version		0.9.5
-revision	1
+revision	2
 epoch		1
 categories	net
 maintainers	luis.kop@gmail.com
@@ -23,8 +23,7 @@
 
 depends_lib	port:coreutils\
 		port:nmap \
-		port:py25-gtk\
-		port:py25-sqlite3
+		port:py25-gtk
 
 use_bzip2	yes
 
Index: dports/gnome/gnome-doc-utils/Portfile
===================================================================
--- dports/gnome/gnome-doc-utils/Portfile	(Revision 50491)
+++ dports/gnome/gnome-doc-utils/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name           gnome-doc-utils
 version        0.16.1
+revision       1
 set branch     [join [lrange [split ${version} .] 0 1] .]
 description    GNOME document utils.
 long_description \
@@ -34,7 +35,6 @@
     port:libiconv \
     port:libxml2 \
     port:libxslt \
-    port:py25-hashlib \
     port:py25-libxml2 \
     port:python25
 
Index: dports/gnome/gramps/Portfile
===================================================================
--- dports/gnome/gramps/Portfile	(Revision 50491)
+++ dports/gnome/gramps/Portfile	(Arbeitskopie)
@@ -4,6 +4,7 @@
 
 name				gramps
 version				3.0.4
+revision            1
 categories			gnome science python genealogy
 platforms			darwin
 maintainers			rjt-gramps@thegrindstone.me.uk
@@ -42,9 +43,6 @@
 depends_lib			bin:update-mime-database:shared-mime-info \
 				port:py25-gtk \
 				port:py25-gnome \
-				port:py25-bsddb \
-				port:py25-hashlib \
-				port:py25-zlib \
 				port:gtkspell2 \
 				port:aspell-dict-en \
 				port:gnome-python-extras
Index: dports/security/kedpm/Portfile
===================================================================
--- dports/security/kedpm/Portfile	(Revision 50491)
+++ dports/security/kedpm/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 name                kedpm
 categories          security python x11
 version		    0.4.1-cvs
+revision        1
 platforms	    darwin
 maintainers	    pmq
 
@@ -25,8 +26,7 @@
 use_bzip2	    yes
 checksums           sha1 7319b45efced4995d85fba0bceefb5c5f0313852
 
-depends_lib	    port:python25 port:py25-crypto port:py25-hashlib \
-		    port:py25-gtk port:py25-readline port:libglade2
+depends_lib	    port:python25 port:py25-crypto port:py25-gtk port:libglade2
 
 use_configure	    no
 # use_build doesn't seem to exist
Index: dports/science/bkchem/Portfile
===================================================================
--- dports/science/bkchem/Portfile	(Revision 50491)
+++ dports/science/bkchem/Portfile	(Arbeitskopie)
@@ -5,6 +5,7 @@
 
 name                bkchem
 version             0.12.5
+revision            1
 categories          science python
 platforms           darwin
 maintainers         simon openmaintainer
@@ -18,8 +19,6 @@
                     sha1 0a3ea20ef4aa1348553a0ae2eded2cfc01180f8e \
                     rmd160 3489f9c39171befa4d89df54667becef61f9657c
 
-depends_lib-append  port:py25-tkinter
-
 patchfiles          patch-setup.py.diff
 
 post-patch {
Index: dports/science/glue/Portfile
===================================================================
--- dports/science/glue/Portfile	(Revision 50491)
+++ dports/science/glue/Portfile	(Arbeitskopie)
@@ -5,7 +5,7 @@
 
 name          glue
 version       1.18
-revision      2
+revision      3
 categories    science
 platforms     darwin
 maintainers   ram
@@ -24,7 +24,6 @@
 
 depends_lib-append port:py25-numpy \
                    port:py25-pyrxp \
-                   port:py25-socket-ssl \
                    port:py25-m2crypto
 
 livecheck.check  regex
